<?php
$default_options = array(
	'activColor' => '#3498db',
	'reverseColor' => '#ffffff',
	'hoverColor' => '2470a1',
	//Collection Page
	'shuffleGalleries' => '1',
	'pagination' => '1',
	'pagination_button_text' => 'Load more',
	'imagesPperPage' => '10',
	'filterTag' => '1',
	'filterButton_All_text' => 'All',
	'columns' => '4',
	'thumbRecomendedSize' => '150',
	'spaceX' => '3',
	'spaceY' => '3',
	'thumbTitleVisibility' => '1',
	// Slider Page
	'sliderBgColor' => '#ffffff',
	'sliderInfoEnable' => '1',
	'sliderInfoBoxBgColor' => '#ffffff',
	'sliderInfoBoxBgAlpha' => '80',
	'sliderInfoBoxTextColor' => '#000000',
	'sliderItemDownload' => '1',
	'sliderItemDiscuss' => '0',
	'sliderSocialShareEnabled' => '1',
	'customCSS' => ''
);
$options_tree = array(
	array(
		'label' => 'Common Settings',
		'fields' =>
			array(
				'pagination' => array('label' => 'Pagination on/off',
					'tag' => 'checkbox',
					'attr' => 'data-watch="change"',
					'text' => 'Break images into pages'
				),
				'pagination_button_text' => array('label' => 'Title for Pagination Button',
					'tag' => 'input',
					'attr' => 'data-pagination="is:1"',
					'text' => 'Pagination should be On'
				),
				'imagesPperPage' => array('label' => 'Images per page',
					'tag' => 'input',
					'attr' => 'type="number" min="1" max="50" data-pagination="is:1"',
					'text' => 'Number of images to show per page.'
				),
				'filterTag' => array('label' => 'Filter show/hide',
					'tag' => 'checkbox',
					'attr' => '',
					'text' => 'Show/Hide Tags bar'
				),
				'filterButton_All_text' => array('label' => 'Filter - "All" button',
					'tag' => 'input',
					'attr' => 'data-filterTag="is:1"',
					'text' => 'Label for button'
				),
				'shuffleGalleries' => array('label' => 'Shuffle images in the gallery',
					'tag' => 'checkbox',
					'attr' => '',
					'text' => 'Randomize sorting'
				),
				'activColor' => array('label' => 'Color 1',
					'tag' => 'input',
					'attr' => 'type="text" data-type="color"',
					'text' => 'Set custom color for gallery'
				),
				'reverseColor' => array('label' => 'Color 2',
					'tag' => 'input',
					'attr' => 'type="text" data-type="color"',
					'text' => 'Set custom color for gallery'
				),
				'hoverColor' => array('label' => 'Color 3',
					'tag' => 'input',
					'attr' => 'type="text" data-type="color"',
					'text' => 'Set custom color for gallery'
				)
			)
	),
	array(
		'label' => 'Thumb Grid General',
		'fields' =>
			array(
				'columns' => array('label' => 'Thumbnail Columns',
					'tag' => 'input',
					'attr' => 'type="number" min="1" max="20"',
					'text' => 'Number of columns in a row'
				),
				'thumbRecomendedSize' => array('label' => 'Minimum Thumbnail Size',
					'tag' => 'input',
					'attr' => 'type="number" min="100" max="300"',
					'text' => 'The module will ignore the number of columns.'
				),
				'spaceX' => array('label' => 'Gap: X',
					'tag' => 'input',
					'attr' => 'type="number" min="0" max="100"',
					'text' => 'Space between columns'
				),
				'spaceY' => array('label' => 'Gap: Y',
					'tag' => 'input',
					'attr' => 'type="number" min="0" max="100"',
					'text' => 'Space between rows'
				),
				'thumbTitleVisibility' => array('label' => 'Title on/off',
					'tag' => 'checkbox',
					'attr' => '',
					'text' => 'Show image title'
				)
			)
		),
	array(
		'label' => 'Slider Window Settings',
		'fields' =>
			array(
				'sliderBgColor' => array('label' => 'Slider Window Color',
					'tag' => 'input',
					'attr' => 'type="text" data-type="color"',
					'text' => 'Set the background color for the slider window'
				),
				'sliderInfoEnable' => array('label' => 'Show Info Button',
					'tag' => 'checkbox',
					'attr' => 'data-watch="change"',
					'text' => 'Enable description bar for item'
				),
				'sliderInfoBoxBgColor' => array('label' => 'Slider Info Bar background color',
					'tag' => 'input',
					'attr' => 'type="text" data-type="color" data-sliderInfoEnable="is:1"',
					'text' => 'Set the background color for the slider window'
				),
				'sliderInfoBoxBgAlpha' => array('label' => 'Slider Info Bar background - alpha channel ',
					'tag' => 'input',
					'attr' => 'type="number" min="0" max="100" step="10" data-sliderInfoEnable="is:1"',
					'text' => ''
				),
				'sliderInfoBoxTextColor' => array('label' => 'Slider Info Bar text color',
					'tag' => 'input',
					'attr' => 'type="text" data-type="color" data-sliderInfoEnable="is:1"',
					'text' => ''
				),
				'sliderSocialShareEnabled' => array('label' => 'Show Share Buttons',
					'tag' => 'checkbox',
					'attr' => 'data-watch="change" data-sliderInfoEnable="is:1"',
					'text' => ''
				),
				'sliderItemDownload' => array('label' => 'Show Download Button',
					'tag' => 'checkbox',
					'attr' => 'data-watch="change" data-sliderInfoEnable="is:1"',
					'text' => 'Download original file'
				),
				/*'sliderItemDiscuss' => array('label' => 'Show Comments',
					'tag' => 'checkbox',
					'attr' => 'data-watch="change" data-sliderInfoEnable="is:1"',
					'text' => ''
				)*/
			)
	),
	array(
		'label' => 'Advanced Settings',
		'fields' =>
			array(
				'customCSS' => array('label' => 'Custom CSS',
				'tag' => 'textarea',
				'attr' => 'cols="20" rows="10"',
				'text' => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i>
                                                                      <br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, 
                                                                      anything you add here will override the default styles'
				)
			)
		)
);
